osg::buffered_value< T > Class Template Reference

`#include <buffered_value>`

## Public Member Functions

| buffered_value ()
| buffered_value (unsigned int size)
buffered_value & | operator= (const buffered_value &rhs)
void | setAllElementsTo (const T &t)
void | clear ()
bool | empty () const
unsigned int | size () const
void | resize (unsigned int newSize)
T & | operator[] (unsigned int pos)
T | operator[] (unsigned int pos) const

## Protected Attributes

std::vector< T > | _array

## Detailed Description

template<class T>
class osg::buffered_value< T >

Implements a simple buffered value for values that need to be buffered on a per graphics context basis.

## Constructor & Destructor Documentation

## buffered_value() [1/2]

template<class T>

osg::buffered_value< T >::buffered_value | ( |  | ) |

inline

## buffered_value() [2/2]

template<class T>

osg::buffered_value< T >::buffered_value | ( | unsigned int | size | ) |

inline

## Member Function Documentation

## clear()

template<class T>

void osg::buffered_value< T >::clear | ( |  | ) |

inline

## empty()

template<class T>

bool osg::buffered_value< T >::empty | ( |  | ) | const

inline

## operator=()

template<class T>

buffered_value & osg::buffered_value< T >::operator= | ( | const buffered_value< T > & | rhs | ) |

inline

## operator[]() [1/2]

template<class T>

T & osg::buffered_value< T >::operator[] | ( | unsigned int | pos | ) |

inline

## operator[]() [2/2]

template<class T>

T osg::buffered_value< T >::operator[] | ( | unsigned int | pos | ) | const

inline

## resize()

template<class T>

void osg::buffered_value< T >::resize | ( | unsigned int | newSize | ) |

inline

## setAllElementsTo()

template<class T>

void osg::buffered_value< T >::setAllElementsTo | ( | const T & | t | ) |

inline

## size()

template<class T>

unsigned int osg::buffered_value< T >::size | ( |  | ) | const

inline

## Member Data Documentation

## _array

template<class T>

std::vector<T> osg::buffered_value< T >::_array

mutable protected

Referenced by osg::buffered_value< unsigned int >::operator=().

The documentation for this class was generated from the following file:

- buffered_value